radius_put_vendor_addr
radius_put_vendor_int
Radius Funções
PHP Manual

# radius_put_vendor_attr

(PECL radius >= 1.1.0)

radius_put_vendor_attr — Attaches a vendor specific binary attribute

### Descrição

bool radius_put_vendor_attr ( resource `$radius_handle` , int `$vendor` , int `$type` , string `$value` [, int `$options` = 0 [, int `$tag` ]] )

Attaches a vendor specific binary attribute to the current RADIUS request.

> Nota:

> A request must be created via radius_create_request() before this function can be called.

### Parâmetros

`radius_handle`

  The RADIUS resource.

`vendor`

  The vendor ID.

`type`

  The attribute type.

`value`

  The attribute value, which will be treated as a raw binary string.

`options`

  A bitmask of the attribute options. The available options include `RADIUS_OPTION_TAGGED` and `RADIUS_OPTION_SALT`.

`tag`

  The attribute tag. This parameter is ignored unless the `RADIUS_OPTION_TAGGED` option is set.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha.

### Changelog

Versão | Descrição
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Exemplos

Exemplo #1 radius_put_vendor_attr() example

`<?php
if (!radius_put_vendor_attr($res, RADIUS_VENDOR_MICROSOFT, RAD_MICROSOFT_MS_CHAP_CHALLENGE, $challenge)) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Veja Também

- radius_get_vendor_attr() - Extracts a vendor specific attribute

radius_put_vendor_addr
radius_put_vendor_int
Radius Funções
PHP Manual